'No Wireless Adapter' error after installing Ubuntu to a new laptop

Asked by Bermuda Shorts on 2019-06-28

I am new to Linux and Ubuntu. I have tried to find solution in forums. I have bee
HP Notebook 15-da0133tu
Intel® Core™ i5-8250U CPU @ 1.60GHz × 8
Wireless PCIe - RTL 8821CE 802.11ac Adapter [10ec:c821]
subsystem HP RTL8821CE 802.11ac Adapter [103c:831a]
Memory7.7 GiB
Ubuntu 18.04.2 LTS
Gnome 3.28.2

I have run a number of instructions in terminal trying to get a solution this is the output:

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ nmcli device
DEVICE TYPE STATE CONNECTION
eno1 ethernet connected Wired connection 1
lo loopback unmanaged --
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ lshw -C
Hardware Lister (lshw) - B.02.18
usage: lshw [-format] [-options ...]
       lshw -version

 -version print program version (B.02.18)

format can be
 -html output hardware tree as HTML
 -xml output hardware tree as XML
 -json output hardware tree as a JSON object
 -short output hardware paths
 -businfo output bus information

options can be
 -class CLASS only show a certain class of hardware
 -C CLASS same as '-class CLASS'
 -c CLASS same as '-class CLASS'
 -disable TEST disable a test (like pci, isapnp, cpuid, etc. )
 -enable TEST enable a test (like pci, isapnp, cpuid, etc. )
 -quiet don't display status
 -sanitize sanitise output (remove sensitive information like serial numbers, etc.)
 -numeric output numeric IDs (for PCI, USB, etc.)
 -notime exclude volatile attributes (timestamps) from output

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ lshw -C network
WARNING: you should run this program as super-user.
  *-network
       description: Ethernet interface
       product: RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:01:00.0
       logical name: eno1
       version: 15
       serial: c4:65:16:95:4a:58
       size: 10Mbit/s
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=half firmware=rtl8168h-2_0.0.2 02/26/15 latency=0 link=no multicast=yes port=MII speed=10Mbit/s
       resources: irq:16 ioport:4000(size=256) memory:b1104000-b1104fff memory:b1100000-b1103fff
  *-network UNCLAIMED
       description: Network controller
       product: Realtek Semiconductor Co., Ltd.
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: cap_list
       configuration: latency=0
       resources: ioport:3000(size=256) memory:b1000000-b100ffff
WARNING: output may be incomplete or inaccurate, you should run this program as super-user.
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 08)
00:02.0 VGA compatible controller: Intel Corporation UHD Graphics 620 (rev 07)
00:04.0 Signal processing controller: Intel Corporation Skylake Processor Thermal Subsystem (rev 08)
00:08.0 System peripheral: Intel Corporation Skylake Gaussian Mixture Model
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:17.0 RAID bus controller: Intel Corporation 82801 Mobile SATA Controller [RAID mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #5 (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Device 9d4e (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 15)
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8821CE 802.11ac PCIe Wireless Network Adapter
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ lspci -vvnn | grep -A 9 Network | grep Kernel
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ lspci -vvnn | grep Network
02:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8821CE 802.11ac PCIe Wireless Network Adapter [10ec:c821]
 Subsystem: Hewlett-Packard Company RTL8821CE 802.11ac PCIe Wireless Network Adapter [103c:831a]
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo apt-get update; sudo apt-get install usbutils pciutils hwinfo grep rfkill; sudo lshw -C network; rfkill list; sudo iwlist scan | grep -Ei 'chan|ssid'; cat /etc/network/interfaces; cat /etc/lsb-release; lspci -nnk | grep -iA2 net; lsusb; nmcli nm status; sudo lshw -short; uname -a; sudo updatedb; dmesg | grep -E '02:00|80211|acx|at76|ath|b43|bcm|brcm|CX|eth|ipw|ireless|irmware|isl|lbtf|orinoco|ndiswrapper|NPE|ound|p54|prism|rror|rtl|RTL|rt2|RT2|rt3|RT3|rt5|RT5|rt6|RT6|rt7|RT7|usb|witch|wl';sudo dmidecode|grep -E 'anufact|roduct|erial|elease'; iwconfig; grep -E '80211|acx|at76|ath|b43|bcm|brcm|CX|eth|ipw|irmware|isl|lbtf|orinoco|ndiswrapper|NPE|p54|prism|rtl|rt2|rt3|rt6|rt7|wmi|witch|wl' /etc/modprobe.d/*; cat /var/lib/NetworkManager/NetworkManager.state; sudo hwinfo --netcard ; ps -aux|grep -E 'wpa|icd|etwork'; netstat -rn ; cat /etc/resolv.conf; ls -lia /boot; grep tmpfs /etc/fstab; ubuntu-support-status; sudo update-pciids; sudo update-usbids; sudo lsmod
[sudo] password for bermuda:
Sorry, try again.
[sudo] password for bermuda:
Hit:1 http://au.archive.ubuntu.com/ubuntu bionic InRelease
Get:2 http://au.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Get:3 http://au.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
Get:4 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Get:5 http://au.archive.ubuntu.com/ubuntu bionic-updates/main amd64 DEP-11 Metadata [283 kB]
Get:6 http://au.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 48x48 Icons [66.7 kB]
Get:7 http://au.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 64x64 Icons [134 kB]
Get:8 http://au.archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [948 kB]
Get:9 http://au.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [963 kB]
Get:10 http://au.archive.ubuntu.com/ubuntu bionic-updates/universe Translation-en [286 kB]
Get:11 http://au.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [249 kB]
Get:12 http://au.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 48x48 Icons [193 kB]
Get:13 http://au.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 64x64 Icons [419 kB]
Get:14 http://au.archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2,468 B]
Get:15 http://security.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [24.1 kB]
Get:16 http://security.ubuntu.com/ubuntu bionic-security/main DEP-11 64x64 Icons [31.7 kB]
Get:17 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [41.3 kB]
Get:18 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 48x48 Icons [16.4 kB]
Get:19 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 64x64 Icons [105 kB]
Get:20 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 DEP-11 Metadata [2,464 B]
Fetched 4,018 kB in 3s (1,424 kB/s)
Reading package lists... Done
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
  *-network
       description: Ethernet interface
       product: RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:01:00.0
       logical name: eno1
       version: 15
       serial: c4:65:16:95:4a:58
       size: 1Gbit/s
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=full firmware=rtl8168h-2_0.0.2 02/26/15 ip=192.168.0.15 latency=0 link=yes multicast=yes port=MII speed=1Gbit/s
       resources: irq:16 ioport:4000(size=256) memory:b1104000-b1104fff memory:b1100000-b1103fff
  *-network UNCLAIMED
       description: Network controller
       product: Realtek Semiconductor Co., Ltd.
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress cap_list
       configuration: latency=0
       resources: ioport:3000(size=256) memory:b1000000-b100ffff
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
eno1 Interface doesn't support scanning.

lo Interface doesn't support scanning.

# interfaces(5) file used by ifup(8) and ifdown(8)
auto lo
iface lo inet loopback
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION="Ubuntu 18.04.2 LTS"
01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15)
 Subsystem: Hewlett-Packard Company RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [103c:84a6]
 Kernel driver in use: r8169
 Kernel modules: r8169
02:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8821CE 802.11ac PCIe Wireless Network Adapter [10ec:c821]
 Subsystem: Hewlett-Packard Company RTL8821CE 802.11ac PCIe Wireless Network Adapter [103c:831a]
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID 0bda:b00a Realtek Semiconductor Corp.
Bus 001 Device 002: ID 0408:5362 Quanta Computer, Inc.
Bus 001 Device 004: ID 046d:c52f Logitech, Inc. Unifying Receiver
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Error: argument 'nm' not understood. Try passing --help instead.
H/W path Device Class Description
====================================================
                          system HP Laptop 15-da0xxx (4TG81PA#ABG)
/0 bus 84A6
/0/0 memory 128KiB BIOS
/0/4 processor Intel(R) Core(TM) i5-8250U CPU @ 1.60GHz
/0/4/5 memory 256KiB L1 cache
/0/4/6 memory 1MiB L2 cache
/0/4/7 memory 6MiB L3 cache
/0/27 memory 8GiB System Memory
/0/27/0 memory 8GiB SODIMM DDR4 Synchronous Unbuffered (Unregistered) 2400 MHz
/0/27/1 memory SODIMM DDR Synchronous [empty]
/0/100 bridge Intel Corporation
/0/100/2 display Intel Corporation
/0/100/4 generic Skylake Processor Thermal Subsystem
/0/100/8 generic Skylake Gaussian Mixture Model
/0/100/14 bus Sunrise Point-LP USB 3.0 xHCI Controller
/0/100/14/0 usb1 bus xHCI Host Controller
/0/100/14/0/3 input USB Receiver
/0/100/14/0/5 multimedia HP TrueVision HD Camera
/0/100/14/0/6 communication Bluetooth Radio
/0/100/14/1 usb2 bus xHCI Host Controller
/0/100/14.2 generic Sunrise Point-LP Thermal subsystem
/0/100/16 communication Sunrise Point-LP CSME HECI #1
/0/100/17 storage 82801 Mobile SATA Controller [RAID mode]
/0/100/1c bridge Sunrise Point-LP PCI Express Root Port #5
/0/100/1c/0 eno1 network RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
/0/100/1c.5 bridge Sunrise Point-LP PCI Express Root Port #6
/0/100/1c.5/0 network Realtek Semiconductor Co., Ltd.
/0/100/1f bridge Intel Corporation
/0/100/1f.2 memory Memory controller
/0/100/1f.3 multimedia Intel Corporation
/0/100/1f.4 bus Sunrise Point-LP SMBus
/0/1 scsi0 storage
/0/1/0.0.0 /dev/sda disk 1TB TOSHIBA MQ04ABF1
/0/1/0.0.0/1 volume 511MiB Windows FAT volume
/0/1/0.0.0/2 /dev/sda2 volume 732MiB EXT4 volume
/0/1/0.0.0/3 /dev/sda3 volume 930GiB EFI partition
/1 power HT03041
/2 power OEM Define 5
Linux bermuda-HP-Laptop-15-da0xxx 4.18.0-15-generic #16~18.04.1-Ubuntu SMP Thu Feb 7 14:06:04 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x008: 'MPX bounds registers'
[ 0.000000] No NUMA configuration found
[ 0.004000] APIC: Switch to symmetric I/O mode setup
[ 0.004000] Switched APIC routing to cluster x2apic.
[ 0.032794] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[ 0.032795] Spectre V2 : Enabling Restricted Speculation for firmware calls
[ 0.172759] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[ 0.286054] pci 0000:02:00.0: [10ec:c821] type 00 class 0x028000
[ 0.286101] pci 0000:02:00.0: reg 0x10: [io 0x3000-0x30ff]
[ 0.286139] pci 0000:02:00.0: reg 0x18: [mem 0xb1000000-0xb100ffff 64bit]
[ 0.286297] pci 0000:02:00.0: supports D1 D2
[ 0.286299] pci 0000:02:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[ 0.304060] usbcore: registered new interface driver usbfs
[ 0.304069] usbcore: registered new interface driver hub
[ 0.304101] usbcore: registered new device driver usb
[ 0.408031] clocksource: Switched to clocksource tsc-early
[ 0.441453] pnp: PnP ACPI: found 9 devices
[ 1.908260] clocksource: Switched to clocksource tsc
[ 1.915101] Console: switching to colour frame buffer device 170x48
[ 1.916091] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:19/PNP0C0D:00/input/input0
[ 1.916099] ACPI: Lid Switch [LID0]
[ 2.064670] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 4.18
[ 2.064673] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 2.064675] usb usb1: Product: xHCI Host Controller
[ 2.064677] usb usb1: Manufacturer: Linux 4.18.0-15-generic xhci-hcd
[ 2.064679] usb usb1: SerialNumber: 0000:00:14.0
[ 2.064852] hub 1-0:1.0: USB hub found
[ 2.066986] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 4.18
[ 2.066988] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 2.066990] usb usb2: Product: xHCI Host Controller
[ 2.066992] usb usb2: Manufacturer: Linux 4.18.0-15-generic xhci-hcd
[ 2.066994] usb usb2: SerialNumber: 0000:00:14.0
[ 2.067150] hub 2-0:1.0: USB hub found
[ 2.067811] usb: port power management may be unreliable
[ 2.148446] RAS: Correctable Errors collector initialized.
[ 2.408053] usb 1-5: new high-speed USB device number 2 using xhci_hcd
[ 2.564260] usb 1-5: New USB device found, idVendor=0408, idProduct=5362, bcdDevice= 0.02
[ 2.564261] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2.564262] usb 1-5: Product: HP TrueVision HD Camera
[ 2.564263] usb 1-5: Manufacturer: SunplusIT Inc
[ 2.663646] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[ 2.669234] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[ 2.696048] usb 1-6: new full-speed USB device number 3 using xhci_hcd
[ 2.731185] wmi_bus wmi_bus-PNP0C14:01: WQBJ data block query control method not found
[ 2.745463] r8169 0000:01:00.0 eth0: RTL8168h/8111h, c4:65:16:95:4a:58, XID 54100800, IRQ 126
[ 2.745466] r8169 0000:01:00.0 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[ 2.751289] r8169 0000:01:00.0 eno1: renamed from eth0
[ 2.763549] fb: switching to inteldrmfb from EFI VGA
[ 2.763566] Console: switching to colour dummy device 80x25
[ 2.766170] [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
[ 2.795037] Console: switching to colour frame buffer device 170x48
[ 2.849545] usb 1-6: New USB device found, idVendor=0bda, idProduct=b00a, bcdDevice= 1.10
[ 2.849546] usb 1-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2.849547] usb 1-6: Product: Bluetooth Radio
[ 2.849548] usb 1-6: Manufacturer: Realtek
[ 2.849549] usb 1-6: SerialNumber: 00e04c000001
[ 30.383147] EXT4-fs (dm-1): re-mounted. Opts: errors=remount-ro
[ 33.763719] lp: driver loaded but no devices found
[ 42.151032] input: HP Wireless hotkeys as /devices/virtual/input/input6
[ 43.436337] hp_wmi: query 0xd returned error 0x5
[ 44.563868] usbcore: registered new interface driver btusb
[ 44.564741] Bluetooth: hci0: rtl: examining hci_ver=08 hci_rev=826c lmp_ver=08 lmp_subver=a99e
[ 44.564742] Bluetooth: hci0: rtl: assuming no firmware upload needed
[ 44.567306] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 44.819218] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1f.3/sound/card0/input8
[ 44.819249] input: HDA Intel PCH Headphone as /devices/pci0000:00/0000:00:1f.3/sound/card0/input9
[ 44.819278] input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input10
[ 44.819305] input: HDA Intel PCH HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input11
[ 44.819331] input: HDA Intel PCH HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input12
[ 44.819358] input: HDA Intel PCH HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input13
[ 44.819384] input: HDA Intel PCH HDMI/DP,pcm=10 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input14
[ 44.820917] uvcvideo: Found UVC 1.00 device HP TrueVision HD Camera (0408:5362)
[ 44.839666] input: HP TrueVision HD Camera: HP Tru as /devices/pci0000:00/0000:00:14.0/usb1/1-5/1-5:1.0/input/input15
[ 44.839698] usbcore: registered new interface driver uvcvideo
[ 44.965464] intel_rapl: Found RAPL domain package
[ 44.965465] intel_rapl: Found RAPL domain core
[ 44.965466] intel_rapl: Found RAPL domain uncore
[ 44.965467] intel_rapl: Found RAPL domain dram
[ 3983.916067] usb 1-3: new full-speed USB device number 4 using xhci_hcd
[ 3984.067107] usb 1-3: New USB device found, idVendor=046d, idProduct=c52f, bcdDevice=22.00
[ 3984.067114] usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 3984.067119] usb 1-3: Product: USB Receiver
[ 3984.067124] usb 1-3: Manufacturer: Logitech
[ 3984.152046] usbcore: registered new interface driver usbhid
[ 3984.152047] usbhid: USB HID core driver
[ 3984.173461] input: Logitech USB Receiver as /devices/pci0000:00/0000:00:14.0/usb1/1-3/1-3:1.0/0003:046D:C52F.0001/input/input16
[ 3984.173573] hid-generic 0003:046D:C52F.0001: input,hidraw0: USB HID v1.11 Mouse [Logitech USB Receiver] on usb-0000:00:14.0-3/input0
[ 3984.173788] input: Logitech USB Receiver Consumer Control as /devices/pci0000:00/0000:00:14.0/usb1/1-3/1-3:1.1/0003:046D:C52F.0002/input/input17
[ 3984.232786] hid-generic 0003:046D:C52F.0002: input,hiddev0,hidraw1: USB HID v1.11 Device [Logitech USB Receiver] on usb-0000:00:14.0-3/input1
 Release Date: 01/18/2019
 Manufacturer: HP
 Product Name: HP Laptop 15-da0xxx
 Version: Type1ProductConfigId
 Serial Number: CND912067J
 Manufacturer: HP
 Product Name: 84A6
 Serial Number: PHJEVC21UC23CY
 Manufacturer: HP
 Serial Number: CND912067J
 Manufacturer: Intel(R) Corporation
 Serial Number: To Be Filled By O.E.M.
 Port Type: Serial Port 16550A Compatible
 Manufacturer: Micron
 Serial Number: F00DE8E3
 Manufacturer: Not Specified
 Serial Number: Not Specified
 Manufacturer: 333-2D-34-A
 Manufacture Date: 0
 Serial Number: 17474 02/28/2019
 Manufacturer: OEM Define 2
 Serial Number: OEM Define 3
eno1 no wireless extensions.

lo no wireless extensions.

/etc/modprobe.d/alsa-base.conf:install snd-rawmidi /sbin/modprobe --ignore-install snd-rawmidi $CMDLINE_OPTS && { /sbin/modprobe --quiet --use-blacklist snd-seq-midi ; : ; }
/etc/modprobe.d/blacklist-ath_pci.conf:# which ath5k cannot recover. To prevent this condition, stop
/etc/modprobe.d/blacklist-ath_pci.conf:blacklist ath_pci
/etc/modprobe.d/blacklist.conf:blacklist eth1394
/etc/modprobe.d/blacklist.conf:# replaced by p54pci
/etc/modprobe.d/blacklist.conf:blacklist prism54
/etc/modprobe.d/blacklist.conf:# replaced by b43 and ssb.
/etc/modprobe.d/blacklist.conf:blacklist bcm43xx
/etc/modprobe.d/blacklist-oss.conf:blacklist uart6850
/etc/modprobe.d/iwlwifi.conf:# /etc/modprobe.d/iwlwifi.conf
/etc/modprobe.d/iwlwifi.conf:# iwlwifi will dyamically load either iwldvm or iwlmvm depending on the
/etc/modprobe.d/iwlwifi.conf:# microcode file installed on the system. When removing iwlwifi, first
/etc/modprobe.d/iwlwifi.conf:# remove the iwl?vm module and then iwlwifi.
/etc/modprobe.d/iwlwifi.conf:remove iwlwifi \
/etc/modprobe.d/iwlwifi.conf:(/sbin/lsmod | grep -o -e ^iwlmvm -e ^iwldvm -e ^iwlwifi | xargs /sbin/rmmod) \
/etc/modprobe.d/iwlwifi.conf:&& /sbin/modprobe -r mac80211
[main]
NetworkingEnabled=true
WirelessEnabled=true
WWANEnabled=true
sudo: hwinfo: command not found
root 869 0.0 0.2 580292 18524 ? Ssl 10:43 0:01 /usr/sbin/NetworkManager --no-daemon
root 871 0.0 0.0 44752 5204 ? Ss 10:43 0:00 /sbin/wpa_supplicant -u -s -O /run/wpa_supplicant
root 876 0.0 0.2 177628 17128 ? Ssl 10:43 0:00 /usr/bin/python3 /usr/bin/networkd-dispatcher --run-startup-triggers
bermuda 2282 0.0 0.5 86086488 45584 tty2 SLl+ 10:46 0:00 /usr/lib/x86_64-linux-gnu/webkit2gtk-4.0/WebKitNetworkProcess 3 17
root 2741 0.0 0.0 25660 6020 ? S 10:58 0:00 /sbin/dhclient -d -q -sf /usr/lib/NetworkManager/nm-dhcp-helper -pf /run/dhclient-eno1.pid -lf /var/lib/NetworkManager/dhclient-a9dfaed3-4ef3-3a5e-a116-3ac451d78932-eno1.lease -cf /var/lib/NetworkManager/dhclient-eno1.conf eno1
bermuda 2934 0.0 0.1 457956 9448 ? Sl 11:02 0:00 /usr/lib/gvfs/gvfsd-network --spawner :1.7 /org/gtk/gvfs/exec_spaw/4
bermuda 3907 0.0 0.0 21536 1148 pts/0 S+ 11:50 0:00 grep --color=auto -E wpa|icd|etwork

Command 'netstat' not found, but can be installed with:

sudo apt install net-tools

# This file is managed by man:systemd-resolved(8). Do not edit.
#
# This is a dynamic resolv.conf file for connecting local clients to the
# internal DNS stub resolver of systemd-resolved. This file lists all
# configured search domains.
#
# Run "systemd-resolve --status" to see details about the uplink DNS servers
# currently in use.
#
# Third party programs must not access this file directly, but only through the
# symlink at /etc/resolv.conf. To manage man:resolv.conf(5) in a different way,
# replace this symlink by a static file or a different symlink.
#
# See man:systemd-resolved.service(8) for details about the supported modes of
# operation for /etc/resolv.conf.

nameserver 127.0.0.53
options edns0
total 72440
   2 drwxr-xr-x 5 root root 4096 Jun 28 06:03 .
   2 drwxr-xr-x 24 root root 4096 Jun 28 05:50 ..
  14 -rw-r--r-- 1 root root 217065 Feb 7 22:10 config-4.18.0-15-generic
   1 drwx------ 3 root root 4096 Jan 1 1970 efi
7809 drwxr-xr-x 5 root root 4096 Jun 28 05:51 grub
  21 -rw-r--r-- 1 root root 60549215 Jun 28 06:03 initrd.img-4.18.0-15-generic
  11 drwx------ 2 root root 16384 Jun 28 05:45 lost+found
  15 -rw-r--r-- 1 root root 182704 Jan 28 2016 memtest86+.bin
  16 -rw-r--r-- 1 root root 184380 Jan 28 2016 memtest86+.elf
  17 -rw-r--r-- 1 root root 184840 Jan 28 2016 memtest86+_multiboot.bin
  13 -rw------- 1 root root 4268435 Feb 7 22:10 System.map-4.18.0-15-generic
  20 -rw-r--r-- 1 root root 8543992 Jun 26 19:54 vmlinuz-4.18.0-15-generic
Support status summary of 'bermuda-HP-Laptop-15-da0xxx':

You have 1585 packages (99.9%) supported until April 2023 (Canonical - 5y)
You have 2 packages (0.1%) supported until April 2021 (Canonical - 3y)

You have 0 packages (0.0%) that can not/no-longer be downloaded
You have 0 packages (0.0%) that are unsupported

Your Hardware Enablement Stack (HWE) is supported until April 2023.

Run with --show-unsupported, --show-supported or --show-all to see more details
Downloaded daily snapshot dated 2019-06-26 03:15:01
--2019-06-28 11:50:51-- http://www.linux-usb.org/usb.ids
Resolving www.linux-usb.org (www.linux-usb.org)... 216.105.38.10
Connecting to www.linux-usb.org (www.linux-usb.org)|216.105.38.10|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 610771 (596K) [text/plain]
Saving to: '/var/lib/usbutils/usb.ids.new’

/var/lib/usbutils/usb.ids. 100%[=====================================>] 596.46K 569KB/s in 1.0s

2019-06-28 11:50:54 (569 KB/s) - '/var/lib/usbutils/usb.ids.new’ saved [610771/610771]

Done.
Module Size Used by
hid_generic 16384 0
usbhid 49152 0
hid 122880 3 usbhid,hid_generic
rfcomm 77824 16
cmac 16384 1
bnep 20480 2
nls_iso8859_1 16384 1
snd_soc_skl 102400 0
snd_soc_skl_ipc 61440 1 snd_soc_skl
snd_soc_sst_ipc 16384 1 snd_soc_skl_ipc
snd_soc_sst_dsp 32768 1 snd_soc_skl_ipc
snd_hda_ext_core 24576 1 snd_soc_skl
intel_rapl 20480 0
snd_soc_acpi 16384 1 snd_soc_skl
snd_soc_core 229376 1 snd_soc_skl
x86_pkg_temp_thermal 16384 0
intel_powerclamp 16384 0
uvcvideo 94208 0
snd_compress 20480 1 snd_soc_core
snd_hda_codec_hdmi 49152 1
coretemp 16384 0
ac97_bus 16384 1 snd_soc_core
snd_hda_codec_realtek 106496 1
snd_hda_codec_generic 73728 1 snd_hda_codec_realtek
snd_pcm_dmaengine 16384 1 snd_soc_core
kvm 626688 0
snd_hda_intel 40960 6
videobuf2_vmalloc 16384 1 uvcvideo
btusb 45056 0
videobuf2_memops 16384 1 videobuf2_vmalloc
btrtl 16384 1 btusb
snd_hda_codec 126976 4 snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec_realtek
videobuf2_v4l2 24576 1 uvcvideo
btbcm 16384 1 btusb
videobuf2_common 40960 2 videobuf2_v4l2,uvcvideo
videodev 188416 3 videobuf2_v4l2,uvcvideo,videobuf2_common
media 40960 2 videodev,uvcvideo
snd_hda_core 81920 7 snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_ext_core,snd_hda_codec,snd_hda_codec_realtek,snd_soc_skl
btintel 20480 1 btusb
snd_hwdep 20480 1 snd_hda_codec
bluetooth 552960 43 btrtl,btintel,btbcm,bnep,btusb,rfcomm
snd_pcm 98304 8 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_ext_core,snd_hda_codec,snd_soc_core,snd_soc_skl,snd_hda_core,snd_pcm_dmaengine
snd_seq_midi 16384 0
snd_seq_midi_event 16384 1 snd_seq_midi
snd_rawmidi 32768 1 snd_seq_midi
snd_seq 65536 2 snd_seq_midi,snd_seq_midi_event
snd_seq_device 16384 3 snd_seq,snd_seq_midi,snd_rawmidi
snd_timer 32768 2 snd_seq,snd_pcm
joydev 24576 0
input_leds 16384 0
mei_me 40960 0
irqbypass 16384 1 kvm
mei 98304 1 mei_me
intel_cstate 20480 0
wmi_bmof 16384 0
processor_thermal_device 16384 0
int340x_thermal_zone 16384 1 processor_thermal_device
serio_raw 16384 0
intel_rapl_perf 16384 0
ecdh_generic 24576 2 bluetooth
snd 81920 25 snd_hda_codec_generic,snd_seq,snd_seq_device,snd_hda_codec_hdmi,snd_hwdep,snd_hda_intel,snd_hda_codec,snd_hda_codec_realtek,snd_timer,snd_compress,snd_soc_core,snd_pcm,snd_rawmidi
hp_wmi 16384 0
intel_wmi_thunderbolt 16384 0
kxcjk_1013 20480 0
intel_soc_dts_iosf 16384 1 processor_thermal_device
intel_pch_thermal 16384 0
soundcore 16384 1 snd
intel_vbtn 16384 0
int3400_thermal 16384 0
acpi_thermal_rel 16384 1 int3400_thermal
sparse_keymap 16384 2 hp_wmi,intel_vbtn
industrialio_triggered_buffer 16384 1 kxcjk_1013
kfifo_buf 16384 1 industrialio_triggered_buffer
mac_hid 16384 0
hp_wireless 16384 0
industrialio 69632 3 industrialio_triggered_buffer,kfifo_buf,kxcjk_1013
acpi_pad 180224 0
sch_fq_codel 20480 2
parport_pc 36864 0
ppdev 20480 0
lp 20480 0
parport 49152 3 parport_pc,lp,ppdev
ip_tables 28672 0
x_tables 40960 1 ip_tables
autofs4 40960 2
algif_skcipher 16384 0
af_alg 24576 1 algif_skcipher
dm_crypt 40960 1
crct10dif_pclmul 16384 0
crc32_pclmul 16384 0
ghash_clmulni_intel 16384 0
pcbc 16384 0
i915 1740800 29
i2c_algo_bit 16384 1 i915
aesni_intel 200704 4
drm_kms_helper 172032 1 i915
syscopyarea 16384 1 drm_kms_helper
aes_x86_64 20480 1 aesni_intel
sysfillrect 16384 1 drm_kms_helper
crypto_simd 16384 1 aesni_intel
sysimgblt 16384 1 drm_kms_helper
cryptd 24576 4 crypto_simd,ghash_clmulni_intel,aesni_intel
fb_sys_fops 16384 1 drm_kms_helper
glue_helper 16384 1 aesni_intel
psmouse 151552 0
drm 458752 18 drm_kms_helper,i915
r8169 86016 0
ahci 40960 3
mii 16384 1 r8169
libahci 32768 1 ahci
wmi 24576 3 hp_wmi,intel_wmi_thunderbolt,wmi_bmof
video 45056 1 i915

Thank you for helping.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu gnome-nettool Edit question
Assignee:
No assignee Edit question
Solved by:
Bermuda Shorts
Solved:
2019-07-17
Last query:
2019-07-17
Last reply:
2019-07-11
Manfred Hampl (m-hampl) said : #1

Try the following:

sudo apt install build-essential
git clone https://github.com/tomaspinho/rtl8821ce
cd rtl8821ce
chmod +x dkms-install.sh
chmod +x dkms-remove.sh
sudo ./dkms-install.sh

and report the results.

(source: https://forums.fedoraforum.org/showthread.php?319995-Will-rtl8821ce-wireless-driver-be-mainlined )

Bermuda Shorts (bshorts) said : #2

Hi, Thanks for helping. I am sorry about the delay in replying I don't always have access to a wired connection which is why wireless is so important.

I have followed your instructions but they don't seem to have worked.
this is the terminal screenshot:
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo apt install build-essential
[sudo] password for bermuda:
Sorry, try again.
[sudo] password for bermuda:
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version (12.4ubuntu1).
0 upgraded, 0 newly installed, 0 to remove and 31 not upgraded.
83 not fully installed or removed.
Need to get 0 B/211 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
dpkg: error processing package libcups2:amd64 (--configure):
 package is in a very bad inconsistent state; you should
 reinstall it before attempting configuration
dpkg: dependency problems prevent configuration of gnome-settings-daemon:
 gnome-settings-daemon depends on libcups2 (>= 1.6.0); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package gnome-settings-daemon (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of samba-libs:amd64:
 samba-libs:amd64 depends on libcups2 (>= 1.6.0); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package samba-libs:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of mutter:
 mutter depends on gnome-settings-daemon; however:
  Package gnome-settings-daemon is not configured yet.

dpkg: error processing package mutter (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-filters:
 cups-filters depends on libcups2 (>= No apport report written because the error message indicates its a followup error from a previous failure.
                                                                No apport report written because the error message indicates its a followup error from a previous failure.
          No apport report written because MaxReports is reached already
                                                                        No apport report written because MaxReports is reached already
                                                      No apport report written because MaxReports is reached already
                                    No apport report written because MaxReports is reached already
                  No apport report written because MaxReports is reached already
                                                                               No apport report written because MaxReports is reached already
                                                             No apport report written because MaxReports is reached already
                                           No apport report written because MaxReports is reached already
                         No apport report written because MaxReports is reached already
       No apport report written because MaxReports is reached already
                                                                     No apport report written because MaxReports is reached already
                                                   1.7.0); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package cups-filters (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-browsed:
 cups-browsed depends on libcups2 (>= 2.0.2); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package cups-browsed (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-ipp-utils:
 cups-ipp-utils depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package cups-ipp-utils (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gdm3:
 gdm3 depends on gnome-settings-daemon (>= 3.24); however:
  Package gnome-settings-daemon is not configured yet.

dpkg: error processing package gdm3 (--configuNo apport report written because MaxReports is reached already
                            No apport report written because MaxReports is reached already
          No apport report written because MaxReports is reached already
                                                                        No apport report written because MaxReports is reached already
                                                      No apport report written because MaxReports is reached already
                                    No apport report written because MaxReports is reached already
                  No apport report written because MaxReports is reached already
                                                                               No apport report written because MaxReports is reached already
                                                             No apport report written because MaxReports is reached already
                                           No apport report written because MaxReports is reached already
                         No apport report written because MaxReports is reached already
       No apport report written because MaxReports is reached already
                                                                     No apport report written because MaxReports is reached already
                                                   re):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-ppdc:
 cups-ppdc depends on libcups2 (>= 1.6.2); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package cups-ppdc (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups:
 cups depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.
 cups depends on cups-ppdc; however:
  Package cups-ppdc is not configured yet.
 cups depends on cups-filters (>= 1.0.24-3~); however:
  Package cups-filters is not configured yet.

dpkg: error processing package cups (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libcupsmime1:amd64:
 libcupsmime1:amd64 depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error No apport report written because MaxReports is reached already
                                                                          No apport report written because MaxReports is reached already
                                                        No apport report written because MaxReports is reached already
                                      No apport report written because MaxReports is reached already
                    No apport report written because MaxReports is reached already
  No apport report written because MaxReports is reached already
                                                                No apport report written because MaxReports is reached already
                                              No apport report written because MaxReports is reached already
                            No apport report written because MaxReports is reached already
          No apport report written because MaxReports is reached already
                                                                        No apport report written because MaxReports is reached already
                                                      No apport report written because MaxReports is reached already
                                    processing package libcupsmime1:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-shell:
 gnome-shell depends on gnome-settings-daemon (>= 3.16.0); however:
  Package gnome-settings-daemon is not configured yet.
 gnome-shell depends on mutter (>= 3.28.4-0ubuntu18.04.1); however:
  Package mutter is not configured yet.

dpkg: error processing package gnome-shell (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-daemon:
 cups-daemon depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.
 cups-daemon depends on libcupsmime1 (>= 1.5.0); however:
  Package libcupsmime1:amd64 is not configured yet.

dpkg: error processing package cups-daemon (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-core:
 libreofficeNo apport report written because MaxReports is reached already
                                                                          No apport report written because MaxReports is reached already
                                                        No apport report written because MaxReports is reached already
                                      No apport report written because MaxReports is reached already
                    No apport report written because MaxReports is reached already
  No apport report written because MaxReports is reached already
                                                                No apport report written because MaxReports is reached already
                                              No apport report written because MaxReports is reached already
                            No apport report written because MaxReports is reached already
          No apport report written because MaxReports is reached already
                                                                        No apport report written because MaxReports is reached already
                                                      -core depends on libcups2 (>= 1.7.0); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package libreoffice-core (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-calc:
 libreoffice-calc depends on libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.6); however:
  Package libreoffice-core is not configured yet.

dpkg: error processing package libreoffice-calc (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-control-center:
 gnome-control-center depends on libcups2 (>= 1.6.0); however:
  Package libcups2:amd64 is not configured yet.
 gnome-control-center depends on gnome-settings-daemon (>= 3.25.90); however:
  Package gnome-settings-daemon is not configured yet.

dpkg: error processing package gnome-control-center (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libgtk-3-0:amd64:
 libgtk-3-0:amd64 depends on libcups2 (>= 1.6.2); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package libgtk-3-0:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-core-drivers:
 cups-core-drivers depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.
 cups-core-drivers depends on cups-daemon (>= 2.2.7-1ubuntu2.6); however:
  Package cups-daemon is not configured yet.

dpkg: error processing package cups-core-drivers (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of thunderbird:
 thunderbird depends on libgtk-3-0 (>= 3.4); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package thunderbird (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libsmbclient:amd64:
 libsmbclient:amd64 depends on samba-libs (= 2:4.7.6+dfsg~ubuntu-0ubuntu2.11); however:
  Package samba-libs:amd64 is not configured yet.

dpkg: error processing package libsmbclient:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libcupsppdc1:amd64:
 libcupsppdc1:amd64 depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package libcupsppdc1:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libcupsfilters1:amd64:
 libcupsfilters1:amd64 depends on libcups2 (>= 1.7.0); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package libcupsfilters1:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libcupsimage2:amd64:
 libcupsimage2:amd64 depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package libcupsimage2:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-bsd:
 cups-bsd depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package cups-bsd (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libgtk-3-bin:
 libgtk-3-bin depends on libgtk-3-0 (>= 3.22.30-1ubuntu3); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package libgtk-3-bin (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-uno:
 python3-uno depends on libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.6); however:
  Package libreoffice-core is not configured yet.

dpkg: error processing package python3-uno (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libevview3-3:amd64:
 libevview3-3:amd64 depends on libgtk-3-0 (>= 3.19.12); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package libevview3-3:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-bluetooth:
 gnome-bluetooth depends on libgtk-3-0 (>= 3.0.0); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package gnome-bluetooth (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of update-notifier:
 update-notifier depends on libgtk-3-0 (>= 3.0.0); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package update-notifier (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gnome-software:
 gnome-software depends on libgtk-3-0 (>= 3.22.4); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package gnome-software (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of thunderbird-gnome-support:
 thunderbird-gnome-support depends on thunderbird (= 1:60.7.1+build1-0ubuntu0.18.04.1); however:
  Package thunderbird is not configured yet.

dpkg: error processing package thunderbird-gnome-support (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libnautilus-extension1a:amd64:
 libnautilus-extension1a:amd64 depends on libgtk-3-0 (>= 3.0.0); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package libnautilus-extension1a:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ubuntu-desktop:
 ubuntu-desktop depends on gdm3; however:
  Package gdm3 is not configured yet.
 ubuntu-desktop depends on gnome-control-center; however:
  Package gnome-control-center is not configured yet.
 ubuntu-desktop depends on gnome-settings-daemon; however:
  Package gnome-settings-daemon is not configured yet.
 ubuntu-desktop depends on gnome-shell; however:
  Package gnome-shell is not configured yet.
 ubuntu-desktop depends on update-notifier; however:
  Package update-notifier is not configured yet.

dpkg: error processing package ubuntu-desktop (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of firefox:
 firefox depends on libgtk-3-0 (>= 3.4); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package firefox (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gedit:
 gedit depends on libgtk-3-0 (>= 3.21.4); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package gedit (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libgail-3-0:amd64:
 libgail-3-0:amd64 depends on libgtk-3-0 (= 3.22.30-1ubuntu3); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package libgail-3-0:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of update-manager:
 update-manager depends on update-notifier; however:
  Package update-notifier is not configured yet.
 update-manager depends on policykit-1-gnome | polkit-kde-agent-1 | lxpolkit | lxqt-policykit | mate-polkit | polkit-1-auth-agent; however:
  Package policykit-1-gnome is not installed.
  Package polkit-kde-agent-1 is not installed.
  Package lxpolkit is not installed.
  Package lxqt-policykit is not installed.
  Package mate-polkit is not installed.
  Package polkit-1-auth-agent is not installed.
  Package gnome-shell which provides polkit-1-auth-agent is not configured yet.

dpkg: error processing package update-manager (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-filters-core-drivers:
 cups-filters-core-drivers depends on libcups2 (>= 1.7.0); however:
  Package libcups2:amd64 is not configured yet.
 cups-filters-core-drivers depends on libcupsfilters1 (>= 1.12.0); however:
  Package libcupsfilters1:amd64 is not configured yet.
 cups-filters-core-drivers depends on libcupsimage2 (>= 1.4.0); however:
  Package libcupsimage2:amd64 is not configured yet.
 cups-filters-core-drivers depends on cups-ipp-utils; however:
  Package cups-ipp-utils is not configured yet.

dpkg: error processing package cups-filters-core-drivers (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-gtk3:
 libreoffice-gtk3 depends on libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.6); however:
  Package libreoffice-core is not configured yet.
 libreoffice-gtk3 depends on libgtk-3-0 (>= 3.19.12); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package libreoffice-gtk3 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libgnome-desktop-3-17:amd64:
 libgnome-desktop-3-17:amd64 depends on libgtk-3-0 (>= 3.9.10); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package libgnome-desktop-3-17:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libgs9:amd64:
 libgs9:amd64 depends on libcups2 (>= 1.4.0); however:
  Package libcups2:amd64 is not configured yet.
 libgs9:amd64 depends on libcupsimage2 (>= 1.4.0); however:
  Package libcupsimage2:amd64 is not configured yet.

dpkg: error processing package libgs9:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cups-client:
 cups-client depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.
 cups-client depends on libcupsimage2 (>= 1.4.0); however:
  Package libcupsimage2:amd64 is not configured yet.

dpkg: error processing package cups-client (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libcupscgi1:amd64:
 libcupscgi1:amd64 depends on libcups2 (= 2.2.7-1ubuntu2.6); however:
  Package libcups2:amd64 is not configured yet.

dpkg: error processing package libcupscgi1:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libedataserverui-1.2-2:amd64:
 libedataserverui-1.2-2:amd64 depends on libgtk-3-0 (>= 3.10); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package libedataserverui-1.2-2:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-gnome:
 libreoffice-gnome depends on libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.6); however:
  Package libreoffice-core is not configured yet.
 libreoffice-gnome depends on libreoffice-gtk3; however:
  Package libreoffice-gtk3 is not configured yet.

dpkg: error processing package libreoffice-gnome (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of nautilus:
 nautilus depends on libgail-3-0 (>= 3.0.0); however:
  Package libgail-3-0:amd64 is not configured yet.
 nautilus depends on libgnome-desktop-3-17 (>= 3.18.1); however:
  Package libgnome-desktop-3-17:amd64 is not configured yet.
 nautilus depends on libgtk-3-0 (>= 3.22.6); however:
  Package libgtk-3-0:amd64 is not configured yet.
 nautilus depends on libnautilus-extension1a (= 1:3.26.4-0~ubuntu18.04.4); however:
  Package libnautilus-extension1a:amd64 is not configured yet.

dpkg: error processing package nautilus (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-pdfimport:
 libreoffice-pdfimport depends on libreoffice-core (>= 1:5.4~); however:
  Package libreoffice-core is not configured yet.

dpkg: error processing package libreoffice-pdfimport (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of evolution-data-server:
 evolution-data-server depends on libgtk-3-0 (>= 3.0.0); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package evolution-data-server (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of evince:
 evince depends on libevview3-3 (= 3.28.4-0ubuntu1.2); however:
  Package libevview3-3:amd64 is not configured yet.
 evince depends on libgnome-desktop-3-17 (>= 3.17.92); however:
  Package libgnome-desktop-3-17:amd64 is not configured yet.
 evince depends on libgtk-3-0 (>= 3.21.6); however:
  Package libgtk-3-0:amd64 is not configured yet.
 evince depends on libnautilus-extension1a (>= 3.21.92-3~); however:
  Package libnautilus-extension1a:amd64 is not configured yet.

dpkg: error processing package evince (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-draw:
 libreoffice-draw depends on libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.6); however:
  Package libreoffice-core is not configured yet.

dpkg: error processing package libreoffice-draw (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-avmedia-backend-gstreamer:
 libreoffice-avmedia-backend-gstreamer depends on libreoffice-core (= 1:6.0.7-0ubuntu0.18.04.6); however:
  Package libreoffice-core is not configured yet.
 libreoffice-avmedia-backend-gstreamer depends on libgtk-3-0 (>= 3.0.0); however:
  Package libgtk-3-0:amd64 is not configured yet.

dpkg: error processing package libreoffice-avmedia-backend-gstreamer (--configure):
 dependency problems - leaving unconfigured
dpkg: too many errors, stopping
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 libcups2:amd64
 gnome-settings-daemon
 samba-libs:amd64
 mutter
 cups-filters
 cups-browsed
 cups-ipp-utils
 gdm3
 cups-ppdc
 cups
 libcupsmime1:amd64
 gnome-shell
 cups-daemon
 libreoffice-core
 libreoffice-calc
 gnome-control-center
 libgtk-3-0:amd64
 cups-core-drivers
 thunderbird
 libsmbclient:amd64
 libcupsppdc1:amd64
 libcupsfilters1:amd64
 libcupsimage2:amd64
 cups-bsd
 libgtk-3-bin
 python3-uno
 libevview3-3:amd64
 gnome-bluetooth
 update-notifier
 gnome-software
 thunderbird-gnome-support
 libnautilus-extension1a:amd64
 ubuntu-desktop
 firefox
 gedit
 libgail-3-0:amd64
 update-manager
 cups-filters-core-drivers
 libreoffice-gtk3
 libgnome-desktop-3-17:amd64
 libgs9:amd64
 cups-client
 libcupscgi1:amd64
 libedataserverui-1.2-2:amd64
 libreoffice-gnome
 nautilus
 libreoffice-pdfimport
 evolution-data-server
 evince
 libreoffice-draw
 libreoffice-avmedia-backend-gstreamer
Processing was halted because there were too many errors.
E: Sub-process /usr/bin/dpkg returned an error code (1)
bermuda@bermuda-HP-Laptop-15-da0xxx:~$

I then rebooted and did next set of instructions:

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ git clone https://github.com/tomaspinho/rtl8821ce
Cloning into 'rtl8821ce'...
remote: Enumerating objects: 20, done.
remote: Counting objects: 100% (20/20), done.
remote: Compressing objects: 100% (15/15), done.
remote: Total 712 (delta 8), reused 14 (delta 5), pack-reused 692
Receiving objects: 100% (712/712), 3.39 MiB | 2.03 MiB/s, done.
Resolving deltas: 100% (253/253), done.
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ cd rtl8821ce
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$ chmod +x dkms-install.sh
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$ chmod +x dkms-remove.sh
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$ sudo ./dkms-install.sh
[sudo] password for bermuda:
About to run dkms install steps...
./dkms-install.sh: line 16: dkms: command not found
./dkms-install.sh: line 17: dkms: command not found
./dkms-install.sh: line 18: dkms: command not found
Finished running dkms install steps.
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$

Should I just start again and completely re-install Ubuntu?

Manfred Hampl (m-hampl) said : #3

Your package management system is in an inconsistent state, and this has prevented installing the prerequisites for the WLAN driver.

Execute the command

sudo apt install --reinstall libcups2

and report the results.

Bermuda Shorts (bshorts) said : #4

I did the reinstall libcups2 which seemed to go OK and then went back and run your previous instructions.
Terminal output:

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo apt install --reinstall libcups2
[sudo] password for bermuda:
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 67 not upgraded.
83 not fully installed or removed.
Need to get 0 B/211 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 168048 files and directories currently installed.)
Preparing to unpack .../libcups2_2.2.7-1ubuntu2.6_amd64.deb ...
Unpacking libcups2:amd64 (2.2.7-1ubuntu2.6) over (2.2.7-1ubuntu2.6) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libcups2:amd64 (2.2.7-1ubuntu2.6) ...
Setting up samba-libs:amd64 (2:4.7.6+dfsg~ubuntu-0ubuntu2.11) ...
Setting up cups-ipp-utils (2.2.7-1ubuntu2.6) ...
Setting up libcupsmime1:amd64 (2.2.7-1ubuntu2.6) ...
Setting up cups-daemon (2.2.7-1ubuntu2.6) ...
Setting up libgtk-3-0:amd64 (3.22.30-1ubuntu3) ...
Setting up thunderbird (1:60.7.1+build1-0ubuntu0.18.04.1) ...
Setting up libsmbclient:amd64 (2:4.7.6+dfsg~ubuntu-0ubuntu2.11) ...
Setting up libcupsppdc1:amd64 (2.2.7-1ubuntu2.6) ...
Setting up libcupsfilters1:amd64 (1.20.2-0ubuntu3.1) ...
Setting up libcupsimage2:amd64 (2.2.7-1ubuntu2.6) ...
Setting up libgtk-3-bin (3.22.30-1ubuntu3) ...
Setting up thunderbird-gnome-support (1:60.7.1+build1-0ubuntu0.18.04.1) ...
Setting up libnautilus-extension1a:amd64 (1:3.26.4-0~ubuntu18.04.4) ...
Setting up firefox (67.0.4+build1-0ubuntu0.18.04.1) ...
Please restart all running instances of firefox, or you will experience problems.
Setting up libgail-3-0:amd64 (3.22.30-1ubuntu3) ...
Setting up cups-filters-core-drivers (1.20.2-0ubuntu3.1) ...
Setting up libgnome-desktop-3-17:amd64 (3.28.2-0ubuntu1.3) ...
Setting up libgs9:amd64 (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Setting up cups-client (2.2.7-1ubuntu2.6) ...
Setting up libcupscgi1:amd64 (2.2.7-1ubuntu2.6) ...
Setting up nautilus (1:3.26.4-0~ubuntu18.04.4) ...
Setting up evolution-data-server (3.28.5-0ubuntu0.18.04.2) ...
Setting up gvfs-backends (1.36.1-0ubuntu1.3.2) ...
Setting up gnome-settings-daemon (3.28.1-0ubuntu1.2) ...
Setting up gir1.2-gtk-3.0:amd64 (3.22.30-1ubuntu3) ...
Setting up libmutter-2-0:amd64 (3.28.4-0ubuntu18.04.1) ...
Setting up cups-browsed (1.20.2-0ubuntu3.1) ...
Setting up usb-creator-gtk (0.3.5ubuntu18.04.1) ...
Setting up gir1.2-gnomedesktop-3.0:amd64 (3.28.2-0ubuntu1.3) ...
Setting up libwebkit2gtk-4.0-37:amd64 (2.24.2-0ubuntu0.18.04.1) ...
Setting up gstreamer1.0-gtk3:amd64 (1.14.4-1ubuntu1~ubuntu18.04.1) ...
Setting up libgnome-bluetooth13:amd64 (3.28.0-2ubuntu0.2) ...
Setting up libevdocument3-4:amd64 (3.28.4-0ubuntu1.2) ...
Setting up cups-ppdc (2.2.7-1ubuntu2.6) ...
Setting up apport-gtk (2.20.9-0ubuntu7.6) ...
Setting up ghostscript (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Setting up synaptic (0.84.3ubuntu1) ...
Setting up thunderbird-locale-en (1:60.7.1+build1-0ubuntu0.18.04.1) ...
Setting up cups-core-drivers (2.2.7-1ubuntu2.6) ...
Setting up thunderbird-locale-en-us (1:60.7.1+build1-0ubuntu0.18.04.1) ...
Setting up cups-bsd (2.2.7-1ubuntu2.6) ...
Setting up software-properties-gtk (0.96.24.32.9) ...
Setting up libevview3-3:amd64 (3.28.4-0ubuntu1.2) ...
Setting up gir1.2-mutter-2:amd64 (3.28.4-0ubuntu18.04.1) ...
Setting up gnome-bluetooth (3.28.0-2ubuntu0.2) ...
Setting up gnome-software (3.28.1-0ubuntu4.18.04.10) ...
Setting up gedit (3.28.1-1ubuntu1.2) ...
Setting up ghostscript-x (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Setting up language-selector-gnome (0.188.2) ...
Setting up libedataserverui-1.2-2:amd64 (3.28.5-0ubuntu0.18.04.2) ...
Setting up evince (3.28.4-0ubuntu1.2) ...
Installing new version of config file /etc/apparmor.d/abstractions/evince ...
Installing new version of config file /etc/apparmor.d/usr.bin.evince ...
Setting up ubuntu-software (3.28.1-0ubuntu4.18.04.10) ...
Setting up mutter (3.28.4-0ubuntu18.04.1) ...
Setting up cups-filters (1.20.2-0ubuntu3.1) ...
Setting up gir1.2-gnomebluetooth-1.0:amd64 (3.28.0-2ubuntu0.2) ...
Setting up gir1.2-webkit2-4.0:amd64 (2.24.2-0ubuntu0.18.04.1) ...
Setting up gnome-software-plugin-snap (3.28.1-0ubuntu4.18.04.10) ...
Setting up cups (2.2.7-1ubuntu2.6) ...
Updating PPD files for cups ...
Updating PPD files for cups-filters ...
Updating PPD files for foomatic-db-compressed-ppds ...
Updating PPD files for openprinting-ppds ...
Updating PPD files for brlaser ...
Updating PPD files for c2esp ...
Updating PPD files for foo2zjs-common ...
Updating PPD files for gutenprint ...
Updating PPD files for hpcups ...
Updating PPD files for m2300w ...
Updating PPD files for postscript-hp ...
Updating PPD files for ptouch ...
Updating PPD files for pxljr ...
Updating PPD files for sag-gdi ...
Updating PPD files for splix ...
Setting up gnome-shell (3.28.4-0ubuntu18.04.1) ...
Setting up gnome-control-center (1:3.28.2-0ubuntu0.18.04.4) ...
Setting up gdm3 (3.28.3-0ubuntu18.04.4) ...
Setting up libreoffice-style-galaxy (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-style-tango (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up update-manager (1:18.04.11.10) ...
Setting up libreoffice-common (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-core (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up python3-uno (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up update-notifier (3.192.1.7) ...
Setting up ubuntu-desktop (1.417.1) ...
Setting up libreoffice-gtk3 (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-style-breeze (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-gnome (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-pdfimport (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-draw (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-avmedia-backend-gstreamer (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-impress (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-math (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-base-core (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-calc (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-ogltrans (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-writer (1:6.0.7-0ubuntu0.18.04.6) ...
Setting up libreoffice-help-en-us (1:6.0.7-0ubuntu0.18.04.4) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for menu (2.1.47ubuntu2.1) ...
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo apt install build-essential
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version (12.4ubuntu1).
0 upgraded, 0 newly installed, 0 to remove and 67 not upgraded.
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ git clone https://github.com/tomaspinho/rtl8821ce
fatal: destination path 'rtl8821ce' already exists and is not an empty directory.
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ cd rtl8821ce
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$ chmod +x dkms-install.sh
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$ chmod +x dkms-remove.sh
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$ sudo ./dkms-install.sh
About to run dkms install steps...
./dkms-install.sh: line 16: dkms: command not found
./dkms-install.sh: line 17: dkms: command not found
./dkms-install.sh: line 18: dkms: command not found
Finished running dkms install steps.
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$

I will now try and reboot

Bermuda Shorts (bshorts) said : #5

There was a prompt for a software update which I allowed and after it finished did the restart but in settings it is still saying no WiFi adapter found.

I am grateful for all the help, sorry about the delay in being able to action suggestions and report back limited access to wired connections.

Manfred Hampl (m-hampl) said : #6

Apparently one of the prerequisites was not correctly fulfilled.
Try again by opening a terminal window and executing the following commands:

sudo apt install dkms
cd rtl8821ce
sudo ./dkms-install.sh

and report the results.

Bermuda Shorts (bshorts) said : #7

Thanks for your continued help.
I followed your instructions and during the execution of the last command I was asked to create a password. I didn't get a screen shot of the dialogue window I'm sorry but I think it said because I had secure boot enabled (I chose disk encryption option when I installed Ubuntu) it needed to make changes to the firmware and create and load a new “MOK” or machine key or something to allow third party hardware to operate. I created the password and the process finished (Terminal Output is below).
I then rebooted expecting to see a different password request. When I got the usual screen I entered my usual passphrase, not the password I had just created, thinking that this would then come next, but it didn’t. The machine booted like normal and still not WiFi. Was I meant to enter the new password instead of my normal passphrase? Sorry if I stuffed this up.

Terminal output:

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo apt install dkms
[sudo] password for bermuda:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  libllvm7
Use 'sudo apt autoremove' to remove it.
The following NEW packages will be installed:
  dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 68.1 kB of archives.
After this operation, 290 kB of additional disk space will be used.
Get:1 http://au.archive.ubuntu.com/ubuntu bionic-updates/main amd64 dkms all 2.3-3ubuntu9.3 [68.1 kB]
Fetched 68.1 kB in 0s (376 kB/s)
Selecting previously unselected package dkms.
(Reading database ... 168069 files and directories currently installed.)
Preparing to unpack .../dkms_2.3-3ubuntu9.3_all.deb ...
Unpacking dkms (2.3-3ubuntu9.3) ...
Setting up dkms (2.3-3ubuntu9.3) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
bermuda@bermuda-HP-Laptop-15-da0xxx:~$
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ cd rtl8821ce
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$ sudo ./dkms-install.sh
About to run dkms install steps...

Creating symlink /var/lib/dkms/rtl8821ce/v5.2.5_1.26055.20180108.1/source ->
                 /usr/src/rtl8821ce-v5.2.5_1.26055.20180108.1

DKMS: add completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area...
'make' -j4 KVER=4.18.0-25-generic............
Signing module:
Generating a new Secure Boot signing key:
Can't load /var/lib/shim-signed/mok/.rnd into RNG
139943190856128:error:2406F079:random number generator:RAND_load_file:Cannot open file:../crypto/rand/randfile.c:88:Filename=/var/lib/shim-signed/mok/.rnd
Generating a RSA private key
.....+++++
.........+++++
writing new private key to '/var/lib/shim-signed/mok/MOK.priv'
-----
 - /var/lib/dkms/rtl8821ce/v5.2.5_1.26055.20180108.1/4.18.0-25-generic/x86_64/module/8821ce.ko
Adding '/var/lib/shim-signed/mok/MOK.der' to shim:
cleaning build area...

DKMS: build completed.

8821ce:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.18.0-25-generic/updates/dkms/

depmod......

DKMS: install completed.
Finished running dkms install steps.
bermuda@bermuda-HP-Laptop-15-da0xxx:~/rtl8821ce$

Manfred Hampl (m-hampl) said : #8

Building the module apparently worked, to verify run the command
modinfo 8821ce

I assume that the command
sudo modprobe 8821ce
will fail with a "key not found" message.

This is the next problem, and you already corrently identified it. If you have Secure Boot enabled, then loading self-compiled kernel modules is not possible, unless they are cryptographically signed, and the signature key is registered in the UEFI Bios.
A request to enter the password that you have created should be shown early during the boot process, to complete registering that key.

see also https://wiki.ubuntu.com/UEFI/SecureBoot

Bermuda Shorts (bshorts) said : #9

On 9/7/19 5:03 pm, Manfred Hampl wrote:
> modinfo 8821ce

ran this and got:

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ modinfo 8821ce
filename: /lib/modules/4.18.0-25-generic/updates/dkms/8821ce.ko
version:        v5.2.5_1.26055.20180108.1
author:         Realtek Semiconductor Corp.
description:    Realtek Wireless Lan Driver
license:        GPL
srcversion:     15B5DFB90A28F3702BCEB84
alias:          pci:v000010ECd0000C82Bsv*sd*bc*sc*i*
alias:          pci:v000010ECd0000C82Asv*sd*bc*sc*i*
alias:          pci:v000010ECd0000C821sv*sd*bc*sc*i*
depends:        cfg80211
retpoline:      Y
name:           8821ce
vermagic:       4.18.0-25-generic SMP mod_unload
signat:         PKCS#7
signer:
sig_key:
sig_hashalgo:   md4
parm:           rtw_ips_mode:The default IPS mode (int)
parm:           rtw_lps_level:The default LPS level (int)
parm:           rtw_usb_rxagg_mode:int
parm:           rtw_dynamic_agg_enable:int
parm:           rtw_drv_log_level:set log level when insert driver
module, default log level is _DRV_INFO_ = 4 (uint)
parm:           rtw_tx_bw_mode:The max tx bw for 2.4G and 5G. format is
the same as rtw_bw_mode (uint)
parm:           rtw_rx_ampdu_sz_limit_1ss:RX AMPDU size limit for 1SS
link of each BW, 0xFF: no limitation (array of uint)
parm:           rtw_rx_ampdu_sz_limit_2ss:RX AMPDU size limit for 2SS
link of each BW, 0xFF: no limitation (array of uint)
parm:           rtw_rx_ampdu_sz_limit_3ss:RX AMPDU size limit for 3SS
link of each BW, 0xFF: no limitation (array of uint)
parm:           rtw_rx_ampdu_sz_limit_4ss:RX AMPDU size limit for 4SS
link of each BW, 0xFF: no limitation (array of uint)
parm:           rtw_vht_enable:int
parm:           rtw_vht_rx_mcs_map:VHT RX MCS map (uint)
parm:           rtw_rf_config:int
parm:           rtw_country_code:The default country code (in alpha2)
(charp)
parm:           rtw_channel_plan:The default chplan ID when rtw_alpha2
is not specified or valid (int)
parm:           rtw_excl_chs:exclusive channel array (array of uint)
parm:           rtw_btcoex_enable:BT co-existence on/off, 0:off, 1:on,
2:by efuse (int)
parm:           rtw_ant_num:Antenna number setting, 0:by efuse (int)
parm:           rtw_force_igi_lb:force IGI low-bound, 0:no specified (int)
parm:           rtw_qos_opt_enable:int
parm:           ifname:The default name to allocate for first interface
(charp)
parm:           if2name:The default name to allocate for second
interface (charp)
parm:           rtw_pwrtrim_enable:int
parm:           rtw_initmac:charp
parm:           rtw_special_rf_path:int
parm:           rtw_chip_version:int
parm:           rtw_rfintfs:int
parm:           rtw_lbkmode:int
parm:           rtw_network_mode:int
parm:           rtw_channel:int
parm:           rtw_mp_mode:int
parm:           rtw_wmm_enable:int
parm:           rtw_vrtl_carrier_sense:int
parm:           rtw_vcs_type:int
parm:           rtw_busy_thresh:int
parm:           rtw_ht_enable:int
parm:           rtw_bw_mode:int
parm:           rtw_ampdu_enable:int
parm:           rtw_rx_stbc:int
parm:           rtw_rx_ampdu_amsdu:int
parm:           rtw_tx_ampdu_amsdu:int
parm:           rtw_lowrate_two_xmit:int
parm:           rtw_power_mgnt:int
parm:           rtw_smart_ps:int
parm:           rtw_low_power:int
parm:           rtw_wifi_spec:int
parm:           rtw_full_ch_in_p2p_handshake:int
parm:           rtw_antdiv_cfg:int
parm:           rtw_antdiv_type:int
parm:           rtw_drv_ant_band_switch:int
parm:           rtw_single_ant_path:int
parm:           rtw_switch_usb_mode:int
parm:           rtw_enusbss:int
parm:           rtw_hwpdn_mode:int
parm:           rtw_hwpwrp_detect:int
parm:           rtw_hw_wps_pbc:int
parm:           rtw_check_hw_status:int
parm:           rtw_pci_aspm_enable:int
parm:           rtw_max_roaming_times:The max roaming times to try (uint)
parm:           rtw_mc2u_disable:int
parm:           rtw_80211d:Enable 802.11d mechanism (int)
parm:           rtw_notch_filter:0:Disable, 1:Enable, 2:Enable only for
P2P (uint)
parm:           rtw_hiq_filter:0:allow all, 1:allow special, 2:deny all
(uint)
parm:           rtw_adaptivity_en:0:disable, 1:enable (uint)
parm:           rtw_adaptivity_mode:0:normal, 1:carrier sense (uint)
parm:           rtw_adaptivity_dml:0:disable, 1:enable (uint)
parm:           rtw_adaptivity_dc_backoff:DC backoff for Adaptivity (uint)
parm:           rtw_adaptivity_th_l2h_ini:th_l2h_ini for Adaptivity (int)
parm:           rtw_adaptivity_th_edcca_hl_diff:th_edcca_hl_diff for
Adaptivity (int)
parm:           rtw_amplifier_type_2g:BIT3:2G ext-PA, BIT4:2G ext-LNA (uint)
parm:           rtw_amplifier_type_5g:BIT6:5G ext-PA, BIT7:5G ext-LNA (uint)
parm:           rtw_RFE_type:default init value:64 (uint)
parm:           rtw_powertracking_type:default init value:64 (uint)
parm:           rtw_GLNA_type:default init value:0 (uint)
parm:           rtw_TxBBSwing_2G:default init value:0xFF (uint)
parm:           rtw_TxBBSwing_5G:default init value:0xFF (uint)
parm:           rtw_OffEfuseMask:default open Efuse Mask value:0 (uint)
parm:           rtw_FileMaskEfuse:default drv Mask Efuse value:0 (uint)
parm:           rtw_rxgain_offset_2g:default RF Gain 2G Offset value:0
(uint)
parm:           rtw_rxgain_offset_5gl:default RF Gain 5GL Offset value:0
(uint)
parm:           rtw_rxgain_offset_5gh:uint
parm:           rtw_rxgain_offset_5gm:default RF Gain 5GM Offset value:0
(uint)
parm:           rtw_pll_ref_clk_sel:force pll_ref_clk_sel, 0xF:use
autoload value (uint)
parm:           rtw_tx_pwr_by_rate:0:Disable, 1:Enable, 2: Depend on
efuse (int)
parm:           rtw_tx_pwr_lmt_enable:0:Disable, 1:Enable, 2: Depend on
efuse (int)
parm:           rtw_target_tx_pwr_2g_a:2.4G target tx power (unit:dBm)
of RF path A for each rate section, should match the real calibrate
power, -1: undefined (array of int)
parm:           rtw_target_tx_pwr_2g_b:2.4G target tx power (unit:dBm)
of RF path B for each rate section, should match the real calibrate
power, -1: undefined (array of int)
parm:           rtw_target_tx_pwr_2g_c:2.4G target tx power (unit:dBm)
of RF path C for each rate section, should match the real calibrate
power, -1: undefined (array of int)
parm:           rtw_target_tx_pwr_2g_d:2.4G target tx power (unit:dBm)
of RF path D for each rate section, should match the real calibrate
power, -1: undefined (array of int)
parm:           rtw_target_tx_pwr_5g_a:5G target tx power (unit:dBm) of
RF path A for each rate section, should match the real calibrate power,
-1: undefined (array of int)
parm:           rtw_target_tx_pwr_5g_b:5G target tx power (unit:dBm) of
RF path B for each rate section, should match the real calibrate power,
-1: undefined (array of int)
parm:           rtw_target_tx_pwr_5g_c:5G target tx power (unit:dBm) of
RF path C for each rate section, should match the real calibrate power,
-1: undefined (array of int)
parm:           rtw_target_tx_pwr_5g_d:5G target tx power (unit:dBm) of
RF path D for each rate section, should match the real calibrate power,
-1: undefined (array of int)
parm:           rtw_phy_file_path:The path of phy parameter (charp)
parm:           rtw_load_phy_file:PHY File Bit Map (int)
parm:           rtw_decrypt_phy_file:Enable Decrypt PHY File (int)
parm:           rtw_en_napi:int
parm:           rtw_en_gro:int
bermuda@bermuda-HP-Laptop-15-da0xxx:~$

Does this indicate what I need to do now?

Thanks so much for your help, I am sorry it is such a problem.

Manfred Hampl (m-hampl) said : #10

Which output do you receive for the command

sudo modprobe 8821ce

Bermuda Shorts (bshorts) said : #11

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo modprobe 8821ce
[sudo] password for bermuda:
modprobe: ERROR: could not insert '8821ce': Operation not permitted
bermuda@bermuda-HP-Laptop-15-da0xxx:~$

Bermuda Shorts (bshorts) said : #12

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo modprobe 8821ce
[sudo] password for bermuda:
modprobe: ERROR: could not insert '8821ce': Operation not permitted
bermuda@bermuda-HP-Laptop-15-da0xxx:~$

On 9/7/19 11:08 pm, Manfred Hampl wrote:
> Your question #681660 on gnome-nettool in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/681660
>
> Status: Open => Needs information
>
> Manfred Hampl requested more information:
> Which output do you receive for the command
>
> sudo modprobe 8821ce
>

Manfred Hampl (m-hampl) said : #13

To receive more verbose information please repeat the command with an additional flag

sudo modprobe -v 8821ce

Bermuda Shorts (bshorts) said : #14

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo modprobe 8821ce
[sudo] password for bermuda:
modprobe: ERROR: could not insert '8821ce': Operation not permitted
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo modprobe -v 8821ce
[sudo] password for bermuda:
insmod /lib/modules/4.18.0-25-generic/updates/dkms/8821ce.ko
modprobe: ERROR: could not insert '8821ce': Operation not permitted
bermuda@bermuda-HP-Laptop-15-da0xxx:~$

On 11/7/19 5:22 pm, Manfred Hampl wrote:
> Your question #681660 on gnome-nettool in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/681660
>
> Status: Open => Needs information
>
> Manfred Hampl requested more information:
> To receive more verbose information please repeat the command with an
> additional flag
>
> sudo modprobe -v 8821ce
>

Bermuda Shorts (bshorts) said : #15

bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo modprobe 8821ce
[sudo] password for bermuda:
modprobe: ERROR: could not insert '8821ce': Operation not permitted
bermuda@bermuda-HP-Laptop-15-da0xxx:~$ sudo modprobe -v 8821ce
[sudo] password for bermuda:
insmod /lib/modules/4.18.0-25-generic/updates/dkms/8821ce.ko
modprobe: ERROR: could not insert '8821ce': Operation not permitted
bermuda@bermuda-HP-Laptop-15-da0xxx:~$

Bermuda Shorts (bshorts) said : #16

Does just the email response work or do I need to post on the web site?

On 11/7/19 5:22 pm, Manfred Hampl wrote:
> Your question #681660 on gnome-nettool in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/681660
>
> Status: Open => Needs information
>
> Manfred Hampl requested more information:
> To receive more verbose information please repeat the command with an
> additional flag
>
> sudo modprobe -v 8821ce
>

Manfred Hampl (m-hampl) said : #17

It seems that you are not fully aware how the web and mail interfaces for Lauchpad answers works.

To provide additional Information (e.g an answer or more details) to a question on Launchpad you can either visit your question document on the web https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/681660 or you can send an e-mail reply to any notification that you get. The effect is the same: The information is added to the question document, and a new e-mail notification is sent out to all persons who have subscribed to that question (the creator is automatically subscribed).

Now back to your problem:
Apparently also the "-v" flag does not help to get more information from the modprobe command.

To my best knowledge the solution to your problem canonly be
either
sign the new kernel module and Register the signature key in the UEFI BIOS
or
disable Secure Boot (or at lease module verification) in the UEFI BIOS.

see also https://wiki.ubuntu.com/UEFI/SecureBoot

If you have already executed the steps for enrolling the key that (accourding to comment #7) you have created, then I do not know why the steps for confirming that new key do not start on next boot.

Bermuda Shorts (bshorts) said : #18

Thank you for your advice about the mail and web interfaces for
Launchpad. As a newbie I was not sure how it worked and appreciate you
clarification.

While I don't understand a lot of what is written at
https://wiki.ubuntu.com/UEFI/SecureBoot (shim and grubs etc), It did
seem to say that the temporary password for writing the new stuff to the
kernel would only survive one boot up.

I think when I rebooted after I created the password I should have
entered the newly created password but I didn't and by entering my
normal passphrase I negated that process.

Could this be correct? and if so how would I go back and create the
required key again to have another go at it?

I am very grateful for all the time you are giving to help me. Thanks again.

On 11/7/19 8:57 pm, Manfred Hampl wrote:
> Your question #681660 on gnome-nettool in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/681660
>
> Status: Open => Answered
>
> Manfred Hampl proposed the following answer:
> It seems that you are not fully aware how the web and mail interfaces
> for Lauchpad answers works.
>
> To provide additional Information (e.g an answer or more details) to a
> question on Launchpad you can either visit your question document on the
> web https://answers.launchpad.net/ubuntu/+source/gnome-
> nettool/+question/681660 or you can send an e-mail reply to any
> notification that you get. The effect is the same: The information is
> added to the question document, and a new e-mail notification is sent
> out to all persons who have subscribed to that question (the creator is
> automatically subscribed).
>
> Now back to your problem:
> Apparently also the "-v" flag does not help to get more information from the modprobe command.
>
> To my best knowledge the solution to your problem canonly be
> either
> sign the new kernel module and Register the signature key in the UEFI BIOS
> or
> disable Secure Boot (or at lease module verification) in the UEFI BIOS.
>
> see also https://wiki.ubuntu.com/UEFI/SecureBoot
>
> If you have already executed the steps for enrolling the key that
> (accourding to comment #7) you have created, then I do not know why the
> steps for confirming that new key do not start on next boot.
>

Manfred Hampl (m-hampl) said : #19

I am not using secureboot myself, so I cannot tell for sure how this works.

If you boot again, do you see any request for the key registartion password?

Mayby re-issuing the command
sudo update-secureboot-policy --enroll-key
is what you need (from https://wiki.ubuntu.com/UEFI/SecureBoot )

And an additional remark to the Launchpad mail Interface: If you rely by mail, please remove all old information to avoid that it is duplicated on the question page on Launchpad.net.

Bermuda Shorts (bshorts) said : #20

You are a genius!
Thank you so much.
I re-issued the command as you suggested and then when I rebooted I got the request to enrol the MOK key that didn't happen the first time.
Once I had done that and the system rebooted I had wifi!
I am very grateful for your perseverance and advice on the issue and using launchpad.